Name: python-module-mm
Version: 0.4.10
Release: alt0.1.1

Summary: Module for retrieving information from multimedia files

Group: Development/Python
License: GPL
Url: http://mmpython.sf.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/mmpython/mmpython-%version.tar.bz2

%setup_python_module mmpython

#%add_findprov_lib_path %python_sitelibdir/mmpython/{audio,disc,image,misc,video}
%add_python_req_skip audio image video misc

# manually removed: eric
# Automatically added by buildreq on Wed Nov 22 2006
BuildRequires: libdvdread-devel python-dev python-modules-encodings

Requires: python%__python_version(_xmlplus)
Provides: python%__python_version(mm)


%description
mmpython - Module for retrieving information about multimedia files

%prep
%setup -q -n mmpython-%version

%build
%__subst "s,/usr/bin/python,%_bindir/env python," mminfo
%__python setup.py build

%install
%__python setup.py install --root %buildroot

%files
%doc CREDITS README
%_bindir/*
%python_sitelibdir/*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.4.10-alt0.1.1
- Rebuilt with python-2.5.

* Wed Nov 22 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.10-alt0.1
- new version 0.4.10 (with rpmrb script)

* Mon Jan 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.9-alt3
- fix python-strict
- add dummy provides as pythonX.Y(mm)

* Fri Nov 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.9-alt2
- add missed requires for PyXML

* Tue Sep 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.9-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.8-alt1
- new version
- build with python 2.4

* Thu Dec 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.7-alt1
- first build for ALT Linux Sisyphus
